namespace CSR.Application.Interfaces;

public interface IUserService
{
  record RegisterNewUserResult(Domain.Entities.User? User, IEnumerable<string>? Errors);

  Task<RegisterNewUserResult> RegisterNewUser
    (
     string username,
     string email,
     string password
     );
}
